iOS 4.0 At 3.1.3 - need 4.0.1 - not 4.0.2

Discussion in 'iOS Jailbreak & Cydia' started by vbMark, Aug 14, 2010.

  1. vbMark

    vbMark New Member

    Joined:
    Apr 20, 2010
    Messages:
    15
    Likes Received:
    0
    Hello,

    I've finally gotten around to wanting to use Jailbreakme on my 3.1.3 (MC) IPod Touch, but now ITunes wants me to upgrade to 4.0.2.

    How can I upgrade to 4.0.1 in ITunes? Is there a simple, step-by-step tutorial?

    Thanks!
  2. XxRedRumxX

    XxRedRumxX Well-Known Member

    Joined:
    Dec 18, 2009
    Messages:
    6,666
    Likes Received:
    1,079
    Device:
    Samsung Galaxy Nexus
    4.0.1 is for iPhones not iPods.
    You can either upgrade to 4.0 or 4.0.2
  3. shashanknegi

    shashanknegi Active Member

    Joined:
    Feb 26, 2010
    Messages:
    1,778
    Likes Received:
    11
    Device:
    3G iPod touch
    save you SHSH blobs and shift restore to 4.0
  4. vbMark

    vbMark New Member

    Joined:
    Apr 20, 2010
    Messages:
    15
    Likes Received:
    0
    Ah, thanks.
    ------------------double post merged------------------
    Sorry, don't know what this means.
    I click shift+restore and a file dialog box displays. What file am I supposed to point to?

    Thanks!
  5. Dreaded

    Dreaded New Member

    Joined:
    Jul 9, 2010
    Messages:
    269
    Likes Received:
    0
    Device:
    2G iPod touch
    Point it at your 4.0 firmware that you want to restore to.
  6. Eclipse

    Eclipse Member

    Joined:
    Jun 24, 2010
    Messages:
    380
    Likes Received:
    0
    Device:
    4G iPod touch
    You want to save your shsh blobs of 3.1.3(see one of the sticky threads)
    Then try and upgrade to 4.0 firmware by shift clicking restore, and then pointing to your .ipsw file.
    If you didn't have it downloaded, just google it because it was a free update.
  7. vbMark

    vbMark New Member

    Joined:
    Apr 20, 2010
    Messages:
    15
    Likes Received:
    0
    Sorry if these questions are noobish, but the word restore seems to imply that at one time I was at 4.0, saved that version somewhere on my drive, and now want to go back to it.

    However, I am at 3.1.3 and have never been at 4.0 so the idea of "restoring" does not make sense to me. I don't have 4.0.

    Thanks!
    ------------------double post merged------------------
    OK, this helps. I will work on this.

    Thanks!
  8. austers

    austers Well-Known Member

    Joined:
    Jan 7, 2010
    Messages:
    3,734
    Likes Received:
    456
    Device:
    3G iPod touch
    Link.

    iPod touch 3g 4.0 firmware download there ^^^
  9. vbMark

    vbMark New Member

    Joined:
    Apr 20, 2010
    Messages:
    15
    Likes Received:
    0
    :: Update ::

    I got it

    Please Register or Log in to view images



    I used this software name umbrella, or something like that to backup my shsh blob.

    I tried the link provided by austers but iTunes said it was wrong so I used the one here Link. Then I went to jailbreakme and that's it.

    However, the reason I wanted to upgrade to 4.0 was for multitasking but I found out that it is not supported by my 2G iPod. Heh, oh well.

    Thank you everyone for your help!
  10. TouchiPod

    TouchiPod Member

    Joined:
    Jul 1, 2010
    Messages:
    669
    Likes Received:
    0
    Device:
    Nexus 4
    you are jailbroken right? you can enable multitasking

Share This Page